\usepackage[utf8]{inputenc}
\usepackage{textcomp}
\usepackage[english]{babel}
\usepackage{booktabs}
\usepackage{amsthm}
\usepackage{amsmath}
\usepackage{mathptmx}
\usepackage{newunicodechar}
\usepackage{hyperref}
\usepackage{fontspec}
\usepackage{caption}
%
%rmfamily
%\setmainfont[Scale=MatchUppercase]{TeX Gyre Termes} %Times New Roman
%sffamily
%\setsansfont[Scale=1]{TeX Gyre Heros} %So called Helvetica, Arial
%\usepackage{DejaVuSans}
%\usepackage{dejavu}

%\DeclareUnicodeCharacter{2264}{≤}

% for rendering tables on multiple pages
\usepackage{longtable}
% for insertion line numbers
\usepackage{lineno}

%
\usepackage{makeidx}
\makeatletter
\def\thm@space@setup{%
  \thm@preskip=8pt plus 2pt minus 4pt
  \thm@postskip=\thm@preskip
}
\makeatother

\makeindex

\renewcommand{\indexname}{Index of terms, parameters, variables}

% Uncomment to add line numbers
% add line numbers
%\linenumbers


% missing Welsh coverage
% \newunicodechar{Ŵ}{\^W}
% \newunicodechar{ŵ}{\^w}
% \newunicodechar{Ŷ}{\^Y}
% \newunicodechar{ŷ}{\^y}
%
% % Latin vowels with prosodic marks
% \newunicodechar{Ĕ}{\u{E}}
% \newunicodechar{ĕ}{\u{e}}
% \newunicodechar{Ĭ}{\u{I}}
% \newunicodechar{ĭ}{\u{\i}}
% \newunicodechar{Ŏ}{\u{O}}
% \newunicodechar{ŏ}{\u{o}}
% \newunicodechar{Ŭ}{\u{U}}
% \newunicodechar{ŭ}{\u{u}}
% \newunicodechar{Ā}{\=A}
% \newunicodechar{ā}{\=a}
% \newunicodechar{Ē}{\=E}
% \newunicodechar{ē}{\=e}
% \newunicodechar{Ī}{\=I}
% \newunicodechar{ī}{\={\i}}
% \newunicodechar{Ō}{\=O}
% \newunicodechar{ō}{\=o}
% \newunicodechar{Ū}{\=U}
% \newunicodechar{ū}{\=u}
% \newunicodechar{Ȳ}{\=Y}
% \newunicodechar{ȳ}{\=y}
%
